echo off
if .%1. == .. goto :nofile
if exist %1.tap goto :error
if not exist %1.ay goto :aymissing
if not exist LOADER.TAP goto :missing
if not exist FILE2TAP.EXE goto :missing
rem *very* crudely handle long filenames!
rem copy %1.ay %temp%\ay.tmp
copy %1.ay ay.tmp
rem file2tap %temp%\ay.tmp %temp%\tap.tmp -s%1 -pLOADER.TAP -a32768
file2tap ay.tmp tap.tmp -s%1 -pLOADER.TAP -a32768
rem copy %temp%\tap.tmp %1.tap
copy tap.tmp %1.tap
rem del %temp%\ay.tmp
rem del %temp%\tap.tmp
del ay.tmp
del tap.tmp
echo Written %1.tap.
if not exist TAP2WAV.EXE goto :stop
echo You seem to have TAP2WAV! Converting to WAV file and launching...
tap2wav %1 /PAUSE=1000
if exist %1.wav start %1.wav
echo.
goto :stop
:error
echo %1.tap already exists!
goto :stop
:nofile
echo AY2TAP.BAT version 0.3 (10/05/06)
echo Copyright 2006 Tim Fardell
echo.
echo Usage Example:
echo    AY2TAP example
echo converts example.ay into example.tap
echo.
goto :stop
:aymissing
echo %1.ay does not exist!
echo.
echo Please note: Unlike previous versions, you should NOT include the .ay
echo file extension on the command-line. For example, instead of typing
echo   ay2tap 180.ay
echo you should now type
echo   ay2tap 180
echo.
goto :stop
:missing
echo A required file is missing!
echo The following files must be in the current directory:
echo  LOADER.TAP
echo  FILE2TAP.EXE
goto :stop
:stop
